spec:
  inputs:
    stage:
      default: test
    SCI_VERSION:
      default: ["6.1.1", "2023.1.0", "2024.0.0"]
---
x86_64-linux-gnu_test:
  stage: $[[ inputs.stage ]]
  image: registry.gitlab.com/scilab/scilab/linux-runner:$SCI_VERSION
  tags: [x86_64-linux-gnu, docker, scilab]
  variables:
    GIT_STRATEGY: none
    TBX: "$TBX_NAME-$TBX_VERSION-$CI_PIPELINE_IID-bin"
  needs:
    - read-description
    - job: x86_64-linux-gnu_build
      parallel:
        matrix:
          - SCI_VERSION: $[[ inputs.SCI_VERSION ]]
  script:
    - tar xzf $TBX-for-$SCI_VERSION.tar.gz
    - cd $TBX
    - scilab -nw -quit -e "test_run('.', [], [], '../results-for-'+part(getversion(), length('scilab-(+1:$)+'.xml')"
  artifacts:
    when: always
    paths:
      - "results-for-$SCI_VERSION.xml"
    reports:
      junit: "results-for-$SCI_VERSION.xml"
  parallel:
    matrix:
      - SCI_VERSION: $[[ inputs.SCI_VERSION ]]